Bug 254060 - Review Request: e16-epplets - Epplets for Enlightenment, DR16
Review Request: e16-epplets - Epplets for Enlightenment, DR16
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 254056
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 16:41 EDT by Terje Røsten
Modified: 2008-04-16 13:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 13:17:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-08-23 16:41:13 EDT
Spec URL: http://terjeros.fedorapeople.org/e16/e16-epplets.spec
SRPM URL: http://terjeros.fedorapeople.org/e16/e16-epplets-0.10-1.fc8.src.rpm
Description:
Epplets are small, handy Enlightenment applets, similar to "dockapps"
or "applets" for other packages.  The epplets package contains the
base epplet API library and header files, as well as the core set of
epplets, including CPU monitors, clocks, a mail checker, mixers, a
slideshow, a URL grabber, a panel-like toolbar, and more.
Comment 2 Kevin Fenzi 2008-04-14 23:58:57 EDT
I would be happy to review this. Look for a full review in a few here... 
Comment 3 Kevin Fenzi 2008-04-15 00:02:49 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
19f881141e18a4f4402af16738ee5ae7  epplets-0.10.tar.gz
19f881141e18a4f4402af16738ee5ae7  epplets-0.10.tar.gz.orig
See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
See below - .la files are removed.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. As with e16, could you ping upstream to try and change sometime
to a nicer license? Not a blocker, but would be nice to do.

2. I see in the build.log:
configure: WARNING: *** GL epplets will not be built ***

Missing buildrequires?

3. Any reason to ship the .la and .a files? .la files should be removed
and unless there is some good reason, static libs shouldn't be shipped.

4. rpmlint says:
e16-epplets.src: W: invalid-license MIT with advertising
e16-epplets.x86_64: W: invalid-license MIT with advertising
e16-epplets-debuginfo.x86_64: W: invalid-license MIT with advertising
e16-epplets-devel.x86_64: W: no-documentation
e16-epplets-devel.x86_64: W: invalid-license MIT with advertising

Can be ignored.

5. Not a blocker, but
Requires(postun): /sbin/ldconfig
Requires(post):   /sbin/ldconfig

shouldn't be needed. rpm is smart enough to add this requires
because you are using -p
Comment 4 Terje Røsten 2008-04-15 02:56:11 EDT
> 1. As with e16, could you ping upstream to try and change sometime
> to a nicer license? Not a blocker, but would be nice to do.

Ok.

> 2. I see in the build.log:
> configure: WARNING: *** GL epplets will not be built ***
> 
> Missing buildrequires?

Yes, adding freeglut-devel and  mesa-libGLU-devel fixed that, thanks.

> 3. Any reason to ship the .la and .a files? .la files should be removed
> and unless there is some good reason, static libs shouldn't be shipped.

Removed.

> 5. Not a blocker, but
> Requires(postun): /sbin/ldconfig
> Requires(post):   /sbin/ldconfig


Removed.

spec:  http://terjeros.fedorapeople.org/e16/e16-epplets.spec
srpm:  http://terjeros.fedorapeople.org/e16/e16-epplets-0.10-3.fc9.src.rpm
Comment 5 Kevin Fenzi 2008-04-15 22:23:08 EDT
Everything looks good to me now... this package is APPROVED. 
Comment 6 Terje Røsten 2008-04-16 01:31:17 EDT
Thanks!

New Package CVS Request
=======================
Package Name: e16-epplets
Short Description: Epplets for Enlightenment, DR16
Owners: terjeros
Branches: F-7 F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-04-16 11:58:45 EDT
cvs done.
Comment 8 Terje Røsten 2008-04-16 13:17:49 EDT
Thanks again! 

Packages koji built, closing.

Note You need to log in before you can comment on or make changes to this bug.